import { CommonProps } from '@/common/types/props';
import { CurrentOptions } from '@/common/types/select';
export interface Props extends CommonProps {
    option?: [string, CurrentOptions] | string | undefined;
    checked?: boolean;
    modelValue?: boolean;
    valueField?: string;
    minusIcon?: boolean;
    title?: string;
    disabled?: boolean;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    valueField: string;
    minusIcon: boolean;
    checked: boolean;
    disabled: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: boolean) => void;
    "model-value-updated": (value: boolean) => void;
    change: (value: boolean) => void;
    focusout: () => void;
    focusin: () => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    valueField: string;
    minusIcon: boolean;
    checked: boolean;
    disabled: boolean;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onChange?: ((value: boolean) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: boolean) => any) | undefined;
    "onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
}, {
    disabled: boolean;
    valueField: string;
    checked: boolean;
    minusIcon: boolean;
}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
