import '@vueup/vue-quill/dist/vue-quill.snow.css';
import { CommonProps } from '@/common/types/props';
export interface Props extends CommonProps {
    modelValue: string;
    theme?: 'snow' | 'bubble' | '';
    toolbar?: 'essential' | 'minimal' | 'full' | '';
    placeholder?: string;
    disabled?: boolean;
}
declare const _default: import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    modelValue: string;
    resizable: boolean;
    resizeDirection: string;
    theme: string;
    toolbar: string;
    placeholder: string;
    disabled: boolean;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    event: (value: Record<string, unknown>) => void;
    mount: () => void;
    unmount: () => void;
    "update:modelValue": (value: string) => void;
    "model-value-updated": (value: string) => void;
    focusout: () => void;
    focusin: () => void;
    change: (value: string) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    modelValue: string;
    resizable: boolean;
    resizeDirection: string;
    theme: string;
    toolbar: string;
    placeholder: string;
    disabled: boolean;
}>>> & {
    onFocusin?: (() => any) | undefined;
    onFocusout?: (() => any) | undefined;
    onChange?: ((value: string) => any) | undefined;
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    "onModel-value-updated"?: ((value: string) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string) => any) | undefined;
    onEvent?: ((value: Record<string, unknown>) => any) | undefined;
}, {
    modelValue: string;
    placeholder: string;
    disabled: boolean;
    theme: "" | "snow" | "bubble";
    toolbar: "" | "essential" | "minimal" | "full";
}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
